openSUSE 安全更新:openafs (openSUSE-2019-2607)

medium Nessus 插件 ID 131720

语言:

全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 openSUSE 主机缺少安全更新。

描述

此更新修复了 openafs 中的下列问题:更新至安全版本 1.8.5,解决了:- OPENAFS-SA-2019-001:略过服务器 OUT 错误参数- OPENAFS-SA-2019-002:所有服务器 RPC 参数归零 - OPENAFS-SA-2019-003:ubik:避免未锁定的 ubik_currentTrans deref 更新至官方版本 1.8.4 - 支持 Linux 内核 5.3 - 避免 afs_lookup 中的非目录 ENOENT 错误 - 修复了带有 -vlruthresh 等的文件服务器解析 - 其他缺陷补丁更新至预发布版本 1.8.4pre2 - 修复了 Linux 内核 5.3 更新至 1.8.3 的构建问题 - 修复了损坏的目录布局 - 允许在客户端启动更新至 1.8.3pre1 预发布版本时设置/取消设置加密 - 修复了 Linux 内核 4.20 和 5.0 的构建问题 - 其他修复请参阅 RELNOTES-1.8.3pre1

解决方案

更新受影响的 openafs 程序包。

插件详情

严重性: Medium

ID: 131720

文件名: openSUSE-2019-2607.nasl

版本: 1.1

类型: local

代理: unix

发布时间: 2019/12/5

最近更新时间: 2019/12/5

依存关系: ssh_get_info.nasl

漏洞信息

CPE: cpe:2.3:o:novell:opensuse:15.1:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-authlibs:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-authlibs-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-authlibs-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-client:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-client-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-devel-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-fuse_client:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-fuse_client-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-kernel-source:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-kmp-default:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-kmp-default-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-server:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:openafs-server-debuginfo:*:*:*:*:*:*:*

必需的 KB 项: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

补丁发布日期: 2019/12/1

漏洞发布日期: 2019/12/1